For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet all unit details.
        • GETGet a unit by ID
        • GETGet a unit detail by ID.
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorUnits

Get a unit by ID

GET
/v1/units/:id
GET
/v1/units/:id
$curl https://api.propexo.com/v1/units/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "1",
17 "x_property_id": "5215851",
18 "x_floor_plan_id": "1",
19 "x_unit_type_id": null,
20 "bathrooms": "string",
21 "bathrooms_full": null,
22 "bathrooms_half": null,
23 "bedrooms": "string",
24 "building_name": "string",
25 "building_number": "1",
26 "city": "Tampa",
27 "country": "US",
28 "custom_data": {},
29 "floor_plan_code": "1",
30 "floor_plan_name": "string",
31 "floor": "3",
32 "is_available": true,
33 "is_furnished": null,
34 "is_vacant": true,
35 "number": "433",
36 "rent_amount_market_in_cents": 303800,
37 "rent_amount_max_in_cents": null,
38 "rent_amount_min_in_cents": null,
39 "square_feet": 689,
40 "state": "FL",
41 "address_1": "501 Murphy Ranch Rd Apt 158",
42 "address_2": "501 Murphy Ranch Rd Apt 158",
43 "zip": "95035-7937",
44 "pets_allowed": null,
45 "dogs_allowed": null,
46 "cats_allowed": null,
47 "pet_policy": null,
48 "floor_plan_id": null,
49 "integration_id": "clwh5u07w000508me66sfh3um",
50 "integration_vendor": "REALPAGE",
51 "property_id": "clwi5xiix000008l6ctdgafyh",
52 "unit_type_id": null,
53 "is_listed": null,
54 "street_address_1": "string",
55 "street_address_2": "string"
56 }
57}
Get a unit by ID
Was this page helpful?
Previous

Get a unit detail by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error